<?php

add_action('init', 'propanel_of_options');

if (!function_exists('propanel_of_options')) {
	function propanel_of_options()
	{

//Theme Shortname
		$shortname = "yourtheme";


//Populate the options array
		global $tt_options;
		$tt_options = get_option('of_options');


//Access the WordPress Pages via an Array
		$tt_pages = array();
		$tt_pages_obj = get_pages('sort_column=post_parent,menu_order');
		foreach ($tt_pages_obj as $tt_page) {
			$tt_pages[$tt_page->ID] = $tt_page->post_name;
		}
		$tt_pages_tmp = array_unshift($tt_pages, "Select a page:");


//Access the WordPress Categories via an Array
		$tt_categories = array();
		$tt_categories_obj = get_categories('hide_empty=0');
		foreach ($tt_categories_obj as $tt_cat) {
			$tt_categories[$tt_cat->cat_ID] = $tt_cat->cat_name;
		}
		$categories_tmp = array_unshift($tt_categories, "Select a category:");


//Sample Array for demo purposes
		$sample_array = array("1", "2", "3", "4", "5");


//Sample Advanced Array - The actual value differs from what the user sees
		$sample_advanced_array = array("image" => "The Image", "post" => "The Post");


//Folder Paths for "type" => "images"
		$sampleurl = get_template_directory_uri() . '/admin/images/sample-layouts/';


		/*-----------------------------------------------------------------------------------*/
		/* Create The Custom Site Options Panel
        /*-----------------------------------------------------------------------------------*/
		$options = array(); // do not delete this line - sky will fall


		/* Option Page 1 - All Options */
		$options[] = array("name" => __('تنظیمات', 'framework_localize'),
				"type" => "heading");

		$options[] = array( "name" => __('لوگو','framework_localize'),
				"desc" => __('لوگوی خود را اینجا آپلود کنید :)','framework_localize'),
				"id" => "logo",
				"std" => "",
				"type" => "upload");

		$options[] = array( "name" => __('طول لوگو','framework_localize'),
				"desc" => "طول لوگوی خود را به پیکسل وارد کنید.",
				"id" => "logoWidth",
				"std" => "",
				"type" => "text");

		$options[] = array( "name" => __('ارتفاع لوگو','framework_localize'),
				"desc" => "عرض لوگوی خود را به پیکسل وارد کنید.",
				"id" => "logoHeight",
				"std" => "",
				"type" => "text");

		$options[] = array( "name" => __('نمایش توضیحات؟','framework_localize'),
				"desc" => __('توضیحات وبلاگ زیر لوگوی نمایش داده شود؟','framework_localize'),
				"id" => "showD",
				"std" => "true",
				"type" => "checkbox");

		update_option('of_template', $options);

	}
}
?>
