<?php get_header(); ?>

<div class="width">
  <?php if (have_posts()) : ?><?php while (have_posts()) : the_post(); ?>
  <article class="mainArticle">
    <header>
      <div class="singleHeaderTxtPart">
        <h2><?PHP the_title() ?></h2>

        <?php the_breadcrumb(); ?>
      </div>

      <ul class="related_single_share">
        <li><a data-balloon="اشتراک این نوشته در توییتر" data-balloon-pos="right" class="twitter" href="https://twitter.com/home?status=Reading: <?php the_permalink(); ?>" target="_blank"><span class="icon-twitter-with-circle"></span></a></li>
        <!--Facebook-->
        <li><a data-balloon="اشتراک این نوشته در فیسبوک" data-balloon-pos="right" class="facebook" href="https://www.facebook.com/sharer.php?u=<?php the_permalink();?>&t=<?php the_title(); ?>" target="_blank"><span class="icon-facebook-with-circle"></span></a></li>
        <!--Google Plus-->
        <li><a data-balloon="اشتراک این نوشته در گوگل‌پلاس" data-balloon-pos="right" class="google-plus" target="_blank" href="https://plus.google.com/share?url=<?php the_permalink(); ?>" onclick="window.open('https://plus.google.com/share?url=<?php the_permalink(); ?>','gplusshare','width=۶۰۰,height=۴۰۰,left='+(screen.availWidth/۲-۲۲۵)+',top='+(screen.availHeight/۲-۱۵۰)+'');return false;"><span class="icon-google-with-circle"></span></a></li>
        <!--Linkedin-->
        <li><a data-balloon="اشتراک این نوشته در لینکدین" data-balloon-pos="right" class="linkedin" href="http://www.linkedin.com/shareArticle?mini=true&amp;title=<?php the_title(); ?>&amp;url=<?php the_permalink(); ?>" title="Share on LinkedIn" rel="external nofollow" rel="nofollow" target="_blank"><span class="icon-linkedin-with-circle"></span></a></li>
        <!--Pinterest-->
        <li><a data-balloon="اشتراک این نوشته در سنجاق" data-balloon-pos="right" class="pinterest" href="http://pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>&media=<?php $url = wp_get_attachment_url( get_post_thumbnail_id($post->ID) ); echo $url; ?>" title="Pinterest" rel="nofollow" target="_blank"><span class="icon-pinterest-with-circle"></span></a></li>
      </ul>
    </header>

    <?php if ( has_post_thumbnail() ) {?>
    <i style="background-image: url(<?php $image_id = get_post_thumbnail_id();$image_url = wp_get_attachment_image_src($image_id, 'thumb1', true);
    echo $image_url[0]; ?>)"><a href="<?PHP the_permalink() ?>"title="<?php the_title(); ?>"></a></i>
    <?php } ?>

    <aside>
      <?php the_content(); ?>
    </aside>

    <div class="related_single_details">

      <ul class="related_single_details_analsys">
        <li><span class="icon-edit"></span> <?php the_author_posts_link(); ?></li>
        <li><span class="icon-calendar"></span> <?php the_time('j F y'); ?></li>
        <li><span class="icon-layers"></span> <?php the_category(', ') ?></li>
        <li><span class="icon-price-tag"></span> <?php the_tags(''); ?></li>
      </ul>

      <div class="related_single_rightThings">
        <div class="footer_single_url">
          <span class="icon-link"></span>
          <input type='text' value='<?php echo wp_get_shortlink(get_the_ID()); ?>'onclick='this.focus(); this.select();'/><span class="icon-thumb_up"></span>
        </div>
      </div>
    </div>

    <div class="related_single_posts">
        <h4><span>مقالات مرتبط</span></h4>
        <?php
        $tags = wp_get_post_tags($post->ID);
        if ($tags) {
            $tag_ids = array();
            foreach ($tags as $individual_tag) $tag_ids[] = $individual_tag->term_id;
            $args = array(
                'tag__in' => $tag_ids,
                'post__not_in' => array($post->ID),
                'showposts' => 2,
                'caller_get_posts' => 1
            );
            $my_query = new wp_query($args);
            if ($my_query->have_posts()) {
                echo '<ul>';
                while ($my_query->have_posts()) {
                    $my_query->the_post();
                    ?>
                    <li>
                      <div style="background-image: url(
                      <?php $image_id = get_post_thumbnail_id();
                      $image_url = wp_get_attachment_image_src($image_id, 'thumb2', true);
                      echo $image_url[0]; ?>
                          )"></div>
                        <a href="<?php the_permalink() ?>" rel="bookmark"
                           title="<?php the_content_rss('', TRUE, '', 10); ?>">
                           <span class="related_single_txt">
                             <h5><?php the_title(); ?></h5>
                             <span><i class="icon-embed2"></i><?php the_time('j F y'); ?></span>
                           </span>
                         </a>
                    </li>
                    <?php
                }
                echo '</ul>';
            }
            else{
                echo '<em>مطلب مرتبطی پیدا نشد!</em>';
            }
        }
        wp_reset_query();
        ?>
    </div>

    <comment class="comment">
      <?php comments_template(); ?>
    </comment>
  </article>
  <?PHP endwhile; ?><?PHP endif ?>
</div>

<?php get_footer(); ?>
