<?php // Do not delete these lines
if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
    die ('Please do not load this page directly. Thanks!');

if (post_password_required()) { ?>
    <p class="nocomments">برای مشاهده‌ی دیدگاه‌ها باید رمز نوشته را وارد کنید.</p>
    <?php
    return;
}
?>

<!-- You can start editing here. -->
<?php // Begin Comments & Trackbacks ?>
<?php if (have_comments()) : ?>
    <h2><span>نظرات خوانندگان گرامی</span></h2>
    <ul class="commentlist">
        <?php wp_list_comments(); ?>
    </ul>
    <?php // End Comments ?>

<?php else : // this is displayed if there are no comments so far ?>

    <?php if ('open' == $post->comment_status) : ?>
        <!-- If comments are open, but there are no comments. -->

    <?php else : // comments are closed ?>
        <!-- If comments are closed. -->
    <?php endif; ?>
<?php endif; ?>

<?php if ('open' == $post->comment_status) : ?>

    <div id="respond">

        <h2><span>نظر شما در این‌باره چیست؟</span></h2>

        <div class="cancel-comment-reply">
            <small><?php cancel_comment_reply_link(); ?></small>
        </div>

        <?php if (get_option('comment_registration') && !$user_ID) : ?>
            <p>ابتدا <a
                    href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>">وارد
                    شوید</a> تا بتوانید دیدگاهی ارسال کنید</p>

        <?php else : ?>

            <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post"
                  class="commentform">
                <div class="leftcomm">
                        <textarea name="comment" id="comment" tabindex="4" placeholder="متن مورد نظر شما"
                                  class="textarea"></textarea>
                </div>

                <div class="rightcomm">
                    <?php if ($user_ID) : ?>
                        <div class="log_in">کاربر: <a
                                href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>.
                            <a href="<?php echo wp_logout_url(get_permalink()); ?>"
                               title="خروج از حساب کاربری">خروج &raquo;</a></div>

                    <?php else : ?>
                        <p><input type="text" class="textfield" name="author" id="author" placeholder="نام شما"
                                  value="<?php echo $comment_author; ?>" size="40" tabindex="1" lang="fa"/></p>

                        <p><input type="text" class="textfield ltr_class" name="email" id="email" placeholder="ایمیل"
                                  value="<?php echo $comment_author_email; ?>" size="40" tabindex="2"/></p>

                        <p><input type="text" class="textfield ltr_class" name="url" id="site" placeholder="وبسایت"
                                  value="http://<?php echo $comment_author_url; ?>" size="40" tabindex="3"/></p>
                    <?php endif; ?>

                    <input name="submit" class="commentsubmit" type="submit" id="submit" tabindex="5"
                           value="ارسال"/>
                    <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>"/>
                </div>
                <?php comment_id_fields(); ?>
                <?php do_action('comment_form', $post->ID); ?>
            </form>
        <?php endif; ?>
    </div>
<?php else : // Comments are closed ?>
    <p>موقتا امکان ارسال دیدگاه وجود ندارد</p>
<?php endif; ?>
