<?php
/*لطفا اگر دانش برنامه نویسی ندارید کدهای این قسمت را دستکاری نکنید*/
/*زیرا منجر به اختلال در وبسایتتان خواهد شد*/
require_once(TEMPLATEPATH . '/admin/admin-functions.php');
require_once(TEMPLATEPATH . '/admin/admin-interface.php');
require_once(TEMPLATEPATH . '/admin/theme-settings.php');
/////////////////////////////////////////////////////////////////////////////////////////////////////////
function unregister_default_wp_widgets() {
		unregister_widget('WP_Widget_Search');
		unregister_widget('WP_Widget_Tag_Cloud');
}
add_action('widgets_init', 'unregister_default_wp_widgets', 1);
/////////////////////////////////////////////////////////////////////////////////////////////////////////
function Red_Wolf()
{
    wp_enqueue_style('twentyfifteen-style', get_stylesheet_uri());
    wp_enqueue_style('Less-Style', get_template_directory_uri() . '/style/style.less');
    wp_enqueue_script('jquery_min', get_template_directory_uri() . '/redwolf_java/jquery.min.js');
    wp_enqueue_script('jquery_Modernizr', get_template_directory_uri() . '/redwolf_java/modernizr.js');
    wp_enqueue_script('jquery_pushy', get_template_directory_uri() . '/redwolf_java/pushy.min.js');
    wp_enqueue_script('jquery_Headroom', get_template_directory_uri() . '/redwolf_java/headroom.min.js');
    wp_enqueue_script('jquery_Redwolf', get_template_directory_uri() . '/redwolf_java/redwolf.js');
}
add_action('wp_enqueue_scripts', 'Red_Wolf');
/////////////////////////////////////////////////////////////////////////////////////////////////////////
add_theme_support('post-thumbnails');
if (function_exists('add_theme_support')) {
    add_image_size('thumb1', 1200, 900, true);
    add_image_size('thumb2', 800, 400, true);
    add_image_size('thumb3', 400, 200, true);
    add_image_size('thumb4', 150, 110, true);
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////
function redwolf_menu() {
register_nav_menus(
array(
  'header-menu' => __( 'فهرست منوی ناوبری' ),
  'pushy-menu' => __( 'منوی سمت راست' )
  )
);
}
add_action( 'init', 'redwolf_menu' );
/////////////////////////////////////////////////////////////////////////////////////////////////////////
function the_breadcrumb()
{
    if (!is_home()) {
        echo '<div class="breadcrumb"><span>شما اینجا هستید: </span>';
        echo '<a href="';
        echo get_option('home');
        echo '">';
        bloginfo('name');
        echo "</a> <em>»</em> ";
        if (is_category() || is_single()) {
            the_category(' + ');
            if (is_single()) {
                echo " <em>»</em> ";
                the_title();
            }
        } elseif (is_page()) {
            echo the_title();
        }
        echo '</div>';
    }
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////
function wp_pagination()
{
    global $wp_query;
    $big = 999999999; // need an unlikely integer
    echo paginate_links(array(
        'base' => str_replace($big, '%#%', esc_url(get_pagenum_link($big))),
        'format' => '?paged=%#%',
        'current' => max(1, get_query_var('paged')),
        'total' => $wp_query->max_num_pages
    ));
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////
add_theme_support('post-formats', array(
  'link',
  'status',)
);
/////////////////////////////////////////////////////////////////////////////////////////////////////////
if (function_exists('register_sidebar')) {
  register_sidebar(array(
   'name' => 'ابزارک پانوشته',
   'id'   => 'redwolf-widgets',
   'description'   => 'محل قرار گیری توضیحات مربوط به ناحیه ابزارک',
   'before_widget' => '<li>',
   'after_widget'  => '</li>',
   'before_title'  => '<h3>',
   'after_title'   => '</h3>'
  ));
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////
class redTagsWidg_widget extends WP_Widget {

function __construct() {
		parent::__construct(
		'redTagsWidg_widget',

		__('محبوب‌ترین برچسب‌ها', 'redWolf'),

		array( 'description' => __( 'محبوب‌ترین برچسب‌های به کار برده شده در نوشته‌ها به ترتیب محبوبیت.', 'redWolf' ), )
		);
}

public function widget( $args, $instance ) {
		$title = apply_filters( 'widget_title', $instance['title'] );
		echo $args['before_widget'];
		if ( ! empty( $title ) )
		echo $args['before_title'] . $title . $args['after_title'];

		echo ('<span class="cloud_tags">');
		wp_tag_cloud('number=16&smallest=11.5&largest=11.5');
		echo ('</span>');
		echo $args['after_widget'];
}

public function form( $instance ) {
		if ( isset( $instance[ 'title' ] ) ) {
		$title = $instance[ 'title' ];
		}
		else {
		$title = __( 'محبوب‌ترین برچسب‌ها', 'redWolf' );
		}
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label>
		<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>
		<?php
}

		public function update( $new_instance, $old_instance ) {
				$instance = array();
				$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
				return $instance;
		}
}
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
class redFeedWidg_widget extends WP_Widget {
function redFeedWidg_widget() {
$widget_ops = array( 'classname' => 'MYBlogNewsletter', 'description' => 'فرم عضویت کاربران در خبرنامه فیدبرنر.' );
$control_ops = array( 'width' => 200, 'height' => 250, 'id_base' => 'my_blog_newsletter' );
$this->WP_Widget( 'my_blog_newsletter','عضویت در خبرنامه', $widget_ops, $control_ops );
}
function widget( $args, $instance ) {
extract( $args );
$title = apply_filters('widget_title', $instance['title'] );
$feedP = $instance['feedP'];
$feedId = $instance['feedId'];

echo $before_widget;
if ( $title )
echo $before_title . $title . $after_title;
echo "<p>".$feedP."</p>";
echo "<form onsubmit=\"window.open('http://feedburner.google.com/fb/a/mailverify?uri=".$feedId."', 'popupwindow', 'scrollbars=yes,width=550,height=520');return true\" target=\"popupwindow\" method=\"post\" action=\"http://feedburner.google.com/fb/a/mailverify\">";
echo "<input type=\"text\" id=\"email\" name=\"email\" placeholder=\"Enter Your Email Adress ...\" />";
echo "<input type=\"hidden\" name=\"uri\" value=\"".$feedId."\" />";
echo "<input type=\"hidden\" value=\"en_US\" name=\"loc\" />";
echo "<button>مشترک شوید</button>";
echo "</form>";
echo $after_widget;
}
function update( $new_instance, $old_instance ) {
$instance = $old_instance;
$instance['title'] = strip_tags( $new_instance['title'] );
$instance['feedP']= strip_tags( $new_instance['feedP']);
$instance['feedId']= strip_tags( $new_instance['feedId']);
return $instance;
}
function form( $instance ) {
$defaults = array(
'title' => 'عضویت در خبرنامه',
'feedP' => 'اگر از مطالب عجایب جهان راضی هستید، مشترک خبرنامه ما شوید تا از بروز رسانی سایت توسط ایمیل مطلع گردید.' ,
'feedId' => 'redwolf/feed'
);
$instance = wp_parse_args( (array) $instance, $defaults ); ?>
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>">عنوان</label>
<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" >
</p>
<p>
         <label for="<?php echo $this->get_field_id( 'feedP' ); ?>">متن عضویت</label>
         <input id="<?php echo $this->get_field_id( 'feedP' ); ?>" name="<?php echo $this->get_field_name( 'feedP' ); ?>" value="<?php echo $instance['feedP']; ?>" style="width:100%;">
</p>
<p>
         <label for="<?php echo $this->get_field_id( 'feedId' ); ?>">نام کاربری فیدبرنر</label>
         <input id="<?php echo $this->get_field_id( 'feedId' ); ?>" name="<?php echo $this->get_field_name( 'feedId' ); ?>" value="<?php echo $instance['feedId']; ?>" style="width:100%;">
</p>

<?php
}
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////
function wpb_load_widget() {
register_widget( 'redFeedWidg_widget' );
register_widget( 'redTagsWidg_widget' );
register_widget( 'redFeedWidg_widget' );
}
add_action( 'widgets_init', 'wpb_load_widget' );
/////////////////////////////////////////////////////////////////////////////////////////////////////////
//* VARIABLES *//
$GLOBALS[ 'logo' ] = get_option('logo');
$GLOBALS[ 'logoWidth' ] = get_option('logoWidth');
$GLOBALS[ 'logoHeight' ] = get_option('logoHeight');
$GLOBALS[ 'showD' ] = get_option('showD');
