<!doctype html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php bloginfo('name'); ?></title>
    <?php wp_head(); ?>
</head>
<body>

<nav class="pushy pushy-left">
  <h6><i class="icon-open-book"></i><span>منوی اصلی</span></h6>
  <?php wp_nav_menu( array( 'theme_location' => 'pushy-menu' ) ); ?>
</nav>

<div class="site-overlay"></div>

<div id="container">

  <nav class="header header--fixed">
    <div class="width topNavFlex">
      <?php wp_nav_menu( array( 'theme_location' => 'header-menu' ) ); ?>

      <ul class="navIcons">
        <li><span class="icon-menu menu-btn"></span></li>
        <li>
          <form role="search" method="get" class="SearchForm" action="<?php echo esc_url( home_url( '/' ) ); ?>">
            <input type="text" name="s" placeholder="جستجو در سایت ...">
            <button type="submit" class="searchFormBtn icon-magnifying-glass"></button>
          </form>
        </li>

        <li class="showSubMenu"><span class="icon-bell"></span> <em>آخرین مطالب</em>
          <ul class="lastPosts">
            <?php
            $i=0;
            $recent = new WP_Query("showposts=7");
            while($recent->have_posts()) : $recent->the_post();?>
            <li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
            <?php endwhile; ?>
          </ul>
        </li>
      </ul>
    </div>
  </nav>

  <div class="width">
    <header class="mainHeader">
      <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
        <h1 style="width:<?php echo $GLOBALS[ 'logoWidth' ]; ?>px; height: <?php echo $GLOBALS[ 'logoHeight' ]; ?>px;background-image: url(<?php echo $GLOBALS[ 'logo' ]; ?>)"><?php bloginfo('name') ?></h1>
      </a>
      <?php
      if ($GLOBALS[ 'showD' ] == "true" ) {?>
        <p><?php echo bloginfo(description); ?></p>
      <?php
      }
      ?>
    </header>
  </div>
