<?php get_header(); ?>

<div class="width">
  <h6 class="page_desc">نتایج جستجو <span><?php printf(the_search_query()); ?></span></h6>

  <?php if (have_posts()) : ?><?php while (have_posts()) : the_post(); ?>
    <?php get_template_part( 'content', get_post_format() ); ?>
  <?PHP endwhile; ?>
  <?php else : ?>
    <div class="width">
      <div class="not_found">
          <span class="hey_vay">موردی با عنوان </span>
          <span class="span_404"><?php printf(the_search_query()); ?></span>
          <span class="hey_vay">یافت نشد.</span>
          <p>بهتر است به <a href="http://7ww.ir">صفحه نخست</a> بازگردید و یا از فُرم جستجو برای رسیدن به مقصد درست خود استفاده کنید<span class="icon-emoji-flirt"></span></p>
          <form class="search_single" method="get" action="<?php bloginfo('home'); ?>/" name="search">
              <input type="search" placeholder="جستجو ..." class="search-input" id="s" name="s"/>
              <button type="submit" class="search-submit"><span class="icon-magnifying-glass"></span></button>
          </form>
      </div>
    </div>

    <?PHP endif ?>

  <div class="numeric_pages"><?php wp_pagination(); ?></div>
</div>

<?php get_footer(); ?>
